Function
hash2Next
Computes a unique hash value for the adjacent shape, even if it is shorter than q.
hash2Next(shape, it)
Include Headers
seqan/index.h
Parameters

shape | Shape to be used for hashing the q-gram. Types: Shape
it | Sequence iterator pointing to the first character of the adjacent shape.

Remarks
hash has to be called before with shape on the left adjacent q-gram.
Return Values
Hash value of the shape.
See Also
hash2
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47